@import url("common-rules.css");
@import url("buttons.css");
@import url("main-light.css");
@import url("main-dark.css");
@import url("main-max-769.css");
@import url("main-max-1281.css");

body {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
}

#app {
    max-width: 1600px;
    width: 100%;
    margin: 0 auto;
}

.lang-container {
    margin-left: 20px;
}


.main-nav-container {
    justify-content: space-between;
    padding: 5px 40px;
}


.left-nav-container {
    justify-content: flex-start;
    flex-wrap: wrap;
    align-items: center;
}

.main-content {
    width: 100%;
}


.infinit-blocks {
    max-width: 30%;
    width: 100%;
}

.main-side-menu {
    width: 100%;
    min-width: 240px;
    border: 2px solid grey;
    padding: 10px;
    display: block;
}


.right-nav-container {
    justify-content: flex-end;
    flex-wrap: wrap;
}

.visitors-more-details {
    max-width: 600px;
    width: 100%;
    word-wrap: break-word;
}

.collapsed-table-container {
    table, th, td{
        border: 1px solid black;
        border-collapse: collapse;
    }
    th, td{
        padding: 10px;
    }
}

/* START формы логина и регистрации*/

.form-group-local {
    padding-bottom: 10px;
    box-sizing: border-box;
}

.form-control-local {
    display: block;
    max-width: 800px;    
    width: 100%;
    height: 40px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border-radius: .375rem;
    padding-left: 10px;
}

.form-control-local-line {
    display: inline;
    max-width: 500px;    
    width: 100%;
    height: 40px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border-radius: .375rem;
    padding-left: 10px;
    margin-left: 10px;
}

.form-control-local:focus {
    outline: none;
    box-shadow: 0 0 3px #1670BE;
    outline-offset: 0px;
    background-color: #afb3af;
}

.form-control-local-textarea {
    display: block;
    max-width: 800px;    
    width: 100%;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border-radius: .375rem;
    padding: 10px;
}

.form-control-local-textarea:focus {
    outline: none;
    box-shadow: 0 0 3px #1670BE;
    outline-offset: 0px;
    background-color: #afb3af;
}


.form-control-local-normal {
    border: 1px solid #ced4da;
}
.form-control-local-normal:focus {
    border: 1px solid #1670BE;
}
.form-control-local-error {
    border: 1px solid red;
}
.form-control-local-error:focus {
    border: 1px solid red;
}
/* END формы логина и регистрации*/


/* START чекбокс как красивый Toggle Switch*/
 /* The switch - the box around the slider */
 .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 30px;
    margin: 10px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 23px;
    width: 23px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  } 
  /* END чекбокс как красивый Toggle Switch*/


/* START выпадашка*/
.dropdown-container {
    position: relative;
    display: inline-block;
    border-radius: 5px;
}
.dropdown-content {
    display: none;
    position: fixed;
    z-index: 1;
    border-radius: 5px;
    padding: 5px;
    background-color: #b8babd;
}

.dropdown-content a {
    color: black;
    padding: 5px;
    text-decoration: none;
    display: block;
    border-radius: 5px;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown-container:hover .dropdown-content {
    display: block;
}

/* END выпадашка*/


/* START radio base settings*/
#tableWithBaseSettings {
    border-collapse: collapse;
}

tr.border_bottom td {
    border-bottom: 1px solid grey;
}

tr.border_bottom th {
    border-bottom: 1px solid grey;
}
/* TODO - когда переключаем радио кнопку меняется и цвет всей строки, происходит перезагрузка за счет джава скрипт слушалки. Авто сохранение! */
/* END radio base settings*/


/* Два класса ниже для любой табличной строки чтобы выделить ВКЛ-ВЫКЛ состояние */
.label-text-settings-on {
    font-weight: bold;
}

.label-text-settings-off {
    font-weight: 200;
}
/* Два класса ВЫШЕ для любой табличной строки чтобы выделить ВКЛ-ВЫКЛ состояние */


.main-menu-item {
    padding: 5px;
}

.main-menu-item:hover  {
    padding: 5px;
    background-color: #afb3af;
    border-radius: 5px;
}

.nav-common {
    
}

.nav-active {    
    border-bottom: 2px solid gold;
}

.table-element-item {
    font-size: 1.2em;
    padding: 0 5px;
}

.accordion-header {
    cursor: pointer;
}

.accordion-content {
    padding-left: 10px;
    display: none;
}

.label-container {
    padding-left: 20px;
}


.ck-editor__editable_inline {
    min-height: 400px;
 }



.main-container {
    
}

.articles-preview-container {
    margin: 0 auto;
    padding: 20px;
    max-width: 1200px;
    width: 100%;
}

.article-preview-item {
    margin: 10px;
    border: 1px solid cadetblue;
    border-radius: 10px;
    width: 100%;
    display: flex;
}

.article-preview-logo {
    max-width: 100px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo-container {
    max-width: 50px;
    width: 100%;
}

.article-preview-text {
    width: 100%;
    padding: 5px 15px;
}

.admin-main-container {
    display: flex;
}

.admin-menu {
    max-width: 250px;
    width: 100%;
    min-width: 150px;
    padding: 10px;
    background-color: #b8babd;
}

.admin-menu-index {
    margin-bottom: 20px;
}

.admin-content {
    width: 100%;
    padding: 5px;
}

.admin-menu-active {
    font-weight: bold;
    color: gold;
}

.admin-menu-active:hover {
    font-weight: bold;
    color: gold;
}

.alert-text {
    font-weight: bold;
    color: red;
}

.menu-item {
    /*height: 25px;*/
}

.admin-menu-item {
    margin: 5px;
}

.visitor-details {
    overflow: auto;
}

.auth-forms {
    margin: 0 auto;
    max-width: 600px;
    width: 100%;
}

.crud-forms {
    margin: 0 auto;
    max-width: 600px;
    width: 100%;
}

.form-group {
    padding-bottom: 10px;
}

.navbar-desktop {
    display: block;
}

.navbar-mobile {
    display: none;
}

.mobile-menu-logo-container {
    width: 30px;
}

.mobile-menu-logo {
    width: 100%;
    cursor: pointer;
}
